dist: xenial

language: generic

python:
  - 3.6

install:
  - python -m pip install --user sphinx sphinx-rtd-theme

script: bash ./build_and_deploy.sh

env:
  global:
  - COMMIT_AUTHOR_EMAIL: "jpblaschke@lbl.gov"

addons:
  apt:
    packages:
      - doxygen

deploy:
  provider: pages
  target-branch: gh-pages
  local-dir: docs/build
  skip-cleanup: true
  github-token: $GITHUB_TOKEN  # Set in travis-ci.org dashboard, marked secure
  keep-history: true
  verbose: true
  on:
    branch: master
